org.apache.poi.ss.formula

## Class LazyRefEval

- java.lang.Object
- - org.apache.poi.ss.formula.eval.RefEvalBase
  - - org.apache.poi.ss.formula.LazyRefEval

- All Implemented Interfaces:
    RefEval, ValueEval, SheetRange

      public final class LazyRefEval
      extends RefEvalBase

  Provides Lazy Evaluation to a 3D Reference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyRefEval(int rowIndex, int columnIndex, org.apache.poi.ss.formula.SheetRangeEvaluator sre)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `getInnerValueEval(int sheetIndex)`
    `boolean` | `isRowHidden()`
    `boolean` | `isSubTotal()`
    `AreaEval` | `offset(int relFirstRowIx, int relLastRowIx, int relFirstColIx, int relLastColIx)` Creates an `AreaEval` offset by a relative amount from this RefEval
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.ss.formula.eval.RefEvalBase

      `getColumn, getFirstSheetIndex, getLastSheetIndex, getNumberOfSheets, getRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyRefEval

          public LazyRefEval(int rowIndex,
                             int columnIndex,
                             org.apache.poi.ss.formula.SheetRangeEvaluator sre)

  - ### Method Detail

    - #### getInnerValueEval

          public ValueEval getInnerValueEval(int sheetIndex)

      Returns:
        the evaluated value of the cell referred to by this RefEval on the given sheet

    - #### offset

          public AreaEval offset(int relFirstRowIx,
                                 int relLastRowIx,
                                 int relFirstColIx,
                                 int relLastColIx)

      Description copied from interface: `RefEval`
      Creates an `AreaEval` offset by a relative amount from this RefEval

    - #### isSubTotal

          public boolean isSubTotal()

      Returns:
        true if the cell is a subtotal

    - #### isRowHidden

          public boolean isRowHidden()

      Returns:
        whether the row at rowIndex is hidden

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.